petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSFSetGraphLayout

Set a parallel star forest via global indices and a PetscLayout

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscSFSetGraphLayout(PetscSF sf,PetscLayout layout,PetscInt nleaves,const PetscInt *ilocal,PetscCopyMode localmode,const PetscInt *iremote)

Collective Many br

### Input Arguments

| sf | - star forest Many br
| layout | - PetscLayout defining the global space Many br
| nleaves | - number of leaf vertices on the current process, each of these references a root on any process Many br
| ilocal | - locations of leaves in leafdata buffers, pass NULL for contiguous storage Many br
| iremote | - remote locations of root vertices for each leaf on the current process Many br

Many br

### See Also

PetscSFCreate(), PetscSFView(), PetscSFSetGraph(), PetscSFGetGraph()

Level:intermediate
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages